  

### EduSynch E-Proctoring

  

The EduSynch E-Proctoring Plugin provides automated supervision for tests taken through Moodle. EduSynch E-Proctoring uses a host of tools available through Google Chrome combined with machine learning to prevent students from going down the path of academic dishonesty before they do.

  

  

  

### Prerequisites

  

  
  

This plugin is available only for EduSynch subscribed customers. If you are interested in becoming an EduSynch customer, please email us at [proctoring@edusynch.com](mailto:proctoring@edusynch.com)

  

  

For general inquiries or to find out more about the integration procedure or schedule a trial exam, please contact us: [contact@edusynch.com](mailto:contact@edusynch.com).

  

  

Сompatible Moodle versions: 3.6.9, 3.6.10, 3.7.5 - 3.7.9, 3.8.2+, 3.9+, 3.10+, 4.0+

  

This plugin was designed to be used together with the EduSynch E-Proctoring Extension for Google Chrome. This means that your students will need to use Google Chrome as their browser, and also install the EduSynch E-Proctoring Extension which can be found here: [https://chrome.google.com/webstore/detail/edusynch-e-proctoring-ext/lcibhobeeihkngcdkbobdkekiigcedkm](https://chrome.google.com/webstore/detail/edusynch-e-proctoring-ext/lcibhobeeihkngcdkbobdkekiigcedkm)

  

### Installation

To use the EduSynch E-Proctoring plugin, you must install it.

  

  

You can download the plugin directly from the Moodle Directory here: [https://moodle.org/plugins/quizaccess_edusynch](https://moodle.org/plugins/quizaccess_edusynch)

  

  

Alternatively, you can download the plugin from [https://github.com/edusynch/moodle-quizaccess_edusynch/releases](https://github.com/edusynch/moodle-quizaccess_edusynch/releases).

  

  

To install the EduSynch E-Proctoring Plugin from the Directory:

  

  

- Login to your Moodle site as an Admin user

- Go to Site administration → Plugins → Install plugins

- Click on “Install plugins from the Moodle plugins directory”

- Search for EduSynch and follow the instructions

  

  

To install the EduSynch E-Proctoring Plugin from Github

  

- Download the ZIP file from: [https://github.com/edusynch/moodle-quizaccess_edusynch/releases](https://github.com/edusynch/moodle-quizaccess_edusynch/releases)

- Login to your Moodle site as an Admin user

- Go to Site administration → Plugins → Install plugins

- Upload the ZIP file in the space given

- Click on “Install plugin from the ZIP file” and follow the instructions

  

  

- To install it, login to your Moodle site as an admin, go to Site administration → Plugins → Install plugins, upload the ZIP file and install the plugin as prompted.

  

  

### Setup

  

After installing the plugin, you will see a new item called EduSynch E-Proctoring by navigating to Site Administration -> Plugins -> Activity modules. This is where you can setup/configure the plugin, as well as review data from each test session.

  

  

To start using the plugin, click on “EduSynch E-Proctoring” under the Activity modules as described above.

  

  

You will then need to add 3 pieces of information:

  

- **API Key**: This is provided by EduSynch. Upon becoming a subscribed customer, you will receive this code.

- **User**: This will also be provided by EduSynch. This will be an email address. Upon becoming a subscribed customer, this will be created for you.

- **Password**: This will also be provided by EduSynch. Upon becoming a subscribed customer, this will be created for you (and tied to the email address listed above).

  

  

Upon entering the 3 pieces of information above and clicking SAVE, you will be ready to add courses as well as students who will be using the plugin.

  

  

To activate students who will be using the plugin, use the batch upload tool under “Import Students” on the Settings tab. There is an example spreadsheet provided. Feel free to download it and use it as a template. After uploading the template in the space provided, click on the “Import” button to activate the students.

  

  

To select the courses that will require the plugin, you can use “Courses enabled” on the Settings tab. Click on “Add +” to add a course. Use the red trash can icon to remove it. Click “Save” after adding a course to enable proctoring.

  

  

To see the results from your exams, click on the Sessions tab. You can then see a list of all quizzes. Click on the button under “View Reports” to see all proctoring results for that quiz, categorized by user.

### External Dependencies
This plugin loads the following libraries through CDN
* jQuery 3.6.0 (https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js) 